<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE tiles-definitions PUBLIC
	"-//Apache Software Foundation//DTD Tiles Configuration 3.0//EN"
	"http://tiles.apache.org/dtds/tiles-config_3_0.dtd">

<tiles-definitions>

	<!-- Base Layout -->
	<definition name="minimalLayout"
		template="/pages/layouts/minimalLayout.jsp">
		<put-attribute name="title" value="Vita Da Cani" />
		<put-attribute name="body" value="" />
	</definition>
	
	<definition name="baseLayout"
		template="/pages/layouts/baseLayout.jsp">
		<put-attribute name="title" value="Vita Da Cani" />
		<put-attribute name="breadcrumb" cascade="true" value="" />
		<put-attribute name="header" value="/pages/template/defaultHeader.jsp" />
		<put-attribute name="messages" value="" />
		<put-attribute name="body" value="" />
		<put-attribute name="footer" value="/pages/template/defaultFooter.jsp" />
	</definition>
	

	<!-- Global Exception Tiles -->
	<definition name="dvsu.exception.tiles" extends="baseLayout">
		<put-attribute name="title" value="Vita Da Cani - Errore" />
		<put-attribute name="breadcrumb" value="Errore" />
		<put-attribute name="body" value="/pages/layouts/error.jsp" />
	</definition>
	
	<definition name="login" extends="minimalLayout">
		<put-attribute name="title" value="Vita Da Cani - Login" />
		<put-attribute name="body" value="/pages/login.jsp" />
	</definition>
	
	<definition name="register" extends="minimalLayout">
		<put-attribute name="title" value="Vita Da Cani - Registrazione" />
		<put-attribute name="body" value="/pages/register.jsp" />
	</definition>

	<definition name="home" extends="baseLayout">
		<put-attribute name="title" value="HOME" />
		<put-attribute name="breadcrumb" cascade="true" value="Vita Da Cani - HOME" />
		<put-attribute name="body" value="/pages/index.jsp" />
	</definition>

	<definition name="contacts" extends="baseLayout">
		<put-attribute name="title" value="Contatti" />
		<put-attribute name="breadcrumb" cascade="true" value="Vita Da Cani - Contatti" />
		<put-attribute name="body" value="/pages/contacts.jsp" />
		<put-list-attribute name="stylesheets" inherit="true">
        	<add-attribute value="/resources/js/contacts.js" />
    	</put-list-attribute>
	</definition>

	<definition name="contact" extends="baseLayout">
		<put-attribute name="title" value="Contatto" />
		<put-attribute name="breadcrumb" cascade="true" value="Vita Da Cani - Contatto" />
		<put-attribute name="body" value="/pages/contact.jsp" />
		<put-list-attribute name="stylesheets" inherit="true">
        	<add-attribute value="/resources/js/contacts.js" />
    	</put-list-attribute>
	</definition>
	
	<definition name="booking" extends="baseLayout">
		<put-attribute name="title" value="Prenotazione" />
		<put-attribute name="breadcrumb" cascade="true" value="Vita Da Cani - Prenotazione" />
		<put-attribute name="body" value="/pages/booking.jsp" />
		<put-list-attribute name="stylesheets" inherit="true">
        	<add-attribute value="/resources/css/booking.css" />
    	</put-list-attribute>
	</definition>
	
	<definition name="calendar" extends="baseLayout">
		<put-attribute name="title" value="Calendario" />
		<put-attribute name="breadcrumb" cascade="true" value="Vita Da Cani - Calendario" />
		<put-attribute name="body" value="/pages/calendar.jsp" />
		<put-list-attribute name="stylesheets" inherit="true">
        	<add-attribute value="/resources/css/calendar.css" />
    	</put-list-attribute>
	</definition>

</tiles-definitions>